#ifndef __VERSION_H__
#define __VERSION_H__ 1

/*******************************************************************************
* FILE PURPOSE:     DSL ATM Driver for Linux Version File
*
********************************************************************************
* FILE NAME:        version.h
*
* DESCRIPTION:
*       Contains DSL ATM driver for Linux version info
*
* (C) Copyright 2003-04, Texas Instruments, Inc.
*
*    History
*    Date        Version            Notes
*    ----        -------            -----
*    20040707    MCB               Original version migrated from syssw_version.h
*    20040712    VRB               Bumped the version number for R1 of DSL PSP 4.3
*    20040716    Ram               Changed Version number to 04.03.01.00 for R2-1 PSP 4.3 Rel
*    20040806    BC                Changed Version number to 04.04.00.00 for PSP 4.4
*    20040818    BC                Changed Version number to 04.04.00.01 for PSP 4.4 pre-R1
*    20040912    BC                Changed Version number to 04.04.00.02 for PSP 4.2 CP2
*    20040917    MCB               Changed Version number to 04.04.01.00 for PSP 4.4 R1
*    20040927    BC                Advanced version number to 04.04.01.01 for the
*                                  code merge from 4.3GA.
*    20040928    BC                Advanced version number to 04.04.01.02 for the
*                                  bugfix bcg CQ#2392.
*    20041001    GKD               Changed version number to 04.04.02.00 for PSP 4.4 R2
*    20041012    JohnP             Changed version number to 04.04.04.50 for PSP 4.4-Patch checkpoint 1
*    20041013    GKD               Changed version number to 04.04.05.00 for PSP 4.4-Patch R1
*    20041027    GKD               Changed version number to 04.04.06.00 for PSP 4.4-Patch R2
*    20041116    JohnP             Changed version number to 04.05.00.01 for PSP 4.4-Patch CP3 - this PSP is now 4.5
*    20041118    GKD               Changed version number to 04.05.01 for PSP 4.4-Patch R2
*    20050121    ArvindV           Changed version number to 04.05.01.01 for PSP 4.5 R3
*    20050121    Jprasad           Changed version number to 04.05.02.00 for PSP 4.5 R3
*    20050207    ArvindV           Changed version number to 04.05.02.01 for PSP 4.5 R3-1
*    20050207    Jprasad           Changed version number to 04.05.03.00 for PSP 4.5.3 R3
*    20050324    Peter Hou         Changed version number to 04.05.04.00 for PSP 4.5.4 R0
*    20050412    Jprasad           Changed version number to 04.05.04.01 for PSP 4.5.4 R2
*******************************************************************************/

/* Linux ATM Driver Version Numbers */
#define LINUXATM_VERSION_MAJOR     07
#define LINUXATM_VERSION_MINOR     03
#define LINUXATM_VERSION_BUGFIX    01
#define LINUXATM_VERSION_BUILDNUM  00

#endif /* pairs with #ifndef __VERSION_H__ */
